summaryrefslogtreecommitdiffstats
path: root/etc/rc.shutdown
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.shutdown')
-rw-r--r--etc/rc.shutdown26
1 files changed, 26 insertions, 0 deletions
diff --git a/etc/rc.shutdown b/etc/rc.shutdown
new file mode 100644
index 0000000..f935834
--- /dev/null
+++ b/etc/rc.shutdown
@@ -0,0 +1,26 @@
+#!/bin/sh
+# $Id$
+
+# site-specific closing actions for daemons run by init on shutdown
+# or before going single-user from multi-user.
+# Output and errors are directed to console by init, and the
+# console is the controlling terminal.
+
+stty status '^T'
+
+# Set shell to ignore SIGINT (2), but not children;
+# shell catches SIGQUIT (3) and returns to single user after fsck.
+trap : 2
+trap : 3 # shouldn't be needed
+
+HOME=/; export HOME
+PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin
+export PATH
+
+echo -n Shutting down daemon processes:
+
+# Insert shutdown procedures here
+
+
+echo '.'
+exit 0
OpenPOWER on IntegriCloud